All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.olaptableview
Class SwingOLAPTableViewSupport

    com.sas.actionprovider.support.olaptableview.SwingOLAPTableViewSupport

All Implemented Interfaces:
  OLAPActionTypeKeysInterface, OLAPTableViewAreaInterface, SwingOLAPActionTypeKeysInterface, SwingOLAPTableViewAreaInterface

    public class SwingOLAPTableViewSupport

implements SwingOLAPActionTypeKeysInterface, SwingOLAPTableViewAreaInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for OLAP viewer components such as the OLAPTableView.

Since:
  3.0

Field Summary

Fields inherited from class com.sas.actionprovider.support.olaptableview.BaseOLAPTableViewSupport
`RB_KEY`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.SwingOLAPActionTypeKeysInterface
`COPY_ACTION, EXPORT_TO_EXCEL_ACTION, MOVE_MEASURE_MENU_ACTION, MOVE_MENU_ACTION, SORT_DATA_MENU_ACTION`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPActionTypeKeysInterface
`ASCENDING_SORT_ACTION, CALCULATE_NEW_MEASURE_SELECTOR_ACTION, CELL_VALUE_ASCENDING_SORT_ACTION, CELL_VALUE_DESCENDING_SORT_ACTION, CLEAR_CELL_VALUE_SORT_ACTION, CLEAR_LEVEL_LABEL_SORT_ACTION, CLEAR_SORT_ACTION, COLLAPSE_ACTION, COLLAPSE_ALL_ACTION, DESCENDING_SORT_ACTION, DRILL_DOWN_ACTION, DRILL_UP_ACTION, EXPAND_ACTION, EXPAND_ALL_ACTION, FAR_SELECTOR_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, ISOLATE_MEMBER_ACTION, LEVEL_LABEL_ASCENDING_SORT_ACTION, LEVEL_LABEL_DESCENDING_SORT_ACTION, MOVE_ACTION, MOVE_IN_ACTION, MOVE_MEASURE_IN_ACTION, MOVE_MEASURE_OUT_ACTION, MOVE_OUT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, RESTRICTED_FILTER_SELECTOR_ACTION, ROTATE_ACTION, SHOW_DETAIL_ACTION, SHOW_DETAIL_DATA_SELECTOR_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.SwingOLAPTableViewAreaInterface
`TOOLBAR_AREA`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPTableViewAreaInterface
`COLUMN_HEADER_AREA, COLUMN_TITLE_AREA, DATA_CELL_AREA, ROW_HEADER_AREA, ROW_TITLE_AREA, TITLE_AREA`

Constructor Summary
`SwingOLAPTableViewSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected java.util.Map` | `getAreaScopeAttributeMap(ActionSupportFilter filter)` Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area.
`protected ActionOrderList` | `getDataCellOrderList(int type)`
`protected ActionOrderList` | `getHeaderOrderList(int type)`
`protected ActionOrderList` | `getTitleOrderList(int type)`
`protected ActionOrderList` | `getToolBarOrderList(int type)`
`BaseAction` | `newActionInstance(java.lang.String actionArea, java.lang.String actionType)` Return a newly instantiated default Action based on the specified actionType or return null if actionType not recognized.
`protected void` | `registerDataCellActions(java.lang.String areaType)`
`protected void` | `registerDynamicValueInfo()` Registers, via addDynamicValueInfo method, the dynamic value information for different areas.
`protected void` | `registerHeaderActions(java.lang.String areaType)`
`protected void` | `registerTitleActions(java.lang.String areaType)`
`protected void` | `registerToolBarActions(java.lang.String areaType)`
`protected boolean` | `validArea(Area area, ActionSupportFilter filter)` Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter.

Methods inherited from class com.sas.actionprovider.support.olaptableview.BaseOLAPTableViewSupport
`createAndRegisterAction, initialize`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Constructor Detail

### SwingOLAPTableViewSupport

    public SwingOLAPTableViewSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### registerDynamicValueInfo

    protected void registerDynamicValueInfo()

  Registers, via addDynamicValueInfo method, the dynamic value information for different areas.

  Overrides:
    `registerDynamicValueInfo` in class `BaseOLAPTableViewSupport`

### newActionInstance

    public BaseAction newActionInstance(java.lang.String actionArea,
                                        java.lang.String actionType)

  Return a newly instantiated default Action based on the specified actionType or return null if actionType not recognized.

  Specified by:
    `newActionInstance` in class `BaseActionProviderSupport`
  Parameters:
    `actionType` - the key associated with a defined action type.
    `actionArea` - the key associated with a defined area type.
  Returns:
    a new action of the specified type or null if the type is not recognized.

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

  Overrides:
    `createDefaultActions` in class `BaseOLAPTableViewSupport`

### registerHeaderActions

    protected void registerHeaderActions(java.lang.String areaType)

  Overrides:
    `registerHeaderActions` in class `BaseOLAPTableViewSupport`

### registerTitleActions

    protected void registerTitleActions(java.lang.String areaType)

  Overrides:
    `registerTitleActions` in class `BaseOLAPTableViewSupport`

### registerDataCellActions

    protected void registerDataCellActions(java.lang.String areaType)

  Overrides:
    `registerDataCellActions` in class `BaseOLAPTableViewSupport`

### registerToolBarActions

    protected void registerToolBarActions(java.lang.String areaType)

### getHeaderOrderList

    protected ActionOrderList getHeaderOrderList(int type)

  Specified by:
    `getHeaderOrderList` in class `BaseOLAPTableViewSupport`

### getTitleOrderList

    protected ActionOrderList getTitleOrderList(int type)

  Specified by:
    `getTitleOrderList` in class `BaseOLAPTableViewSupport`

### getDataCellOrderList

    protected ActionOrderList getDataCellOrderList(int type)

  Specified by:
    `getDataCellOrderList` in class `BaseOLAPTableViewSupport`

### getToolBarOrderList

    protected ActionOrderList getToolBarOrderList(int type)

### getAreaScopeAttributeMap

    protected java.util.Map getAreaScopeAttributeMap(ActionSupportFilter filter)

  Description copied from class: `BaseActionProviderSupport`
  Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area.

  Specified by:
    `getAreaScopeAttributeMap` in class `BaseActionProviderSupport`
  Parameters:
    `filter` - Defines the specific area.
  Returns:
    mappings for a pre-defined set of Action Attribues keys

### validArea

    protected boolean validArea(Area area,
                                ActionSupportFilter filter)

  Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter. If the Area is null or its 'type' is null then boolean true is returned because then there are no constraints specified and, therefore, any specification of the current area on the actionFilter must be valid. Otherwise, the method validates that the area 'type' and, if specified, area 'value' match the current area state represented by information on the actionFilter. In the COLUMN_HEADER_AREA and the ROW_HEADER_AREA, the Area 'values' should be the name of a row or column header that matches the header of the tupleElement on the action filter.

  Specified by:
    `validArea` in class `BaseActionProviderSupport`
  Parameters:
    `area` - The Area object that may or may not specify certain area 'values'.
    `actionFilter` - the ActionSupportFilter that the component passed as an argument on the getActions() method.
  Returns:
    a boolean indicating whether the current area represented on the actionFilter matches any of the specified values on the Area object.
  See Also:
    `BaseActionProviderSupport.setAction(com.sas.actionprovider.BaseAction, java.util.Collection, com.sas.actionprovider.Area)`, `BaseActionProviderSupport.getActions(com.sas.actionprovider.ActionSupportFilter)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.